<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
          "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" lang="EN">
<head>
  <title>Page 1</title>
  <link rel="stylesheet" type="text/css" href="styles.css" />
  <script language="javascript" type="text/javascript">
      function on_test()
      {
        var msg;
        msg = "Function on_test() is called.\n"
          + "Here we can do input data validations etc.\n"
          + "Finally, if everything is OK, we call\n"
          + "GoTo('page1.html') to make the transition.\n";
        alert(msg);
        GoTo('page1.html');
      }
  </script>
</head>

<body>
  <h2>Page 1 of the application</h2>

  <h3>A phpWebApp Application is Like a State Machine</h3>

  <p>The <strong>phpWebApp</strong> thinks of a web application as 
  a state machine, where each state is a web page. Each time the browser 
  loads something new in its window, you see a snapshot of the application 
  in a certain state. For example, this sample application can be
  described by the following state diagram:</p>

  <div align="center">
    <img src="img/state_diagram.png" 
         alt="A state diagram that represents three pages of the application as three states" />
  </div>

  <h3>Transitions by GoTo()</h3>

  <p>Transitions from one page of the application to another are
  done by using the javascript function
  <strong>GoTo('page.html')</strong>. This function is declared by
  the framework itself and is included automatically at the end of
  each page of the application. Make a 'View Source' now and see
  that there is some code appended to the page by the
  framework.</p>

  <p>In real applications, usually <em>GoTo()</em> is called from
  inside a <em>JavaScript</em> function, after making some input
  data validations etc. E.g. try this link:
  <a href="javascript:on_test()">test</a> wich calls the
  <em>JavaScript</em> function <em>on_test()</em>.</p>

  <p>Go To 
  [ Page 1 
  | <a href="javascript:GoTo('page2.html')">Page 2</a> 
  | <a href="javascript:GoTo('page3.html')">Page 3</a> 
  ]</p>

  <a href="javascript:history.back()"><img src="img/back.png" alt="Back" border="0" /></a>
  <a href="{{APP_URL}}"><img src="img/home.png" alt="Home" border="0" /></a>
</body>
</html>
